Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
Tropical
Alarms
Imagery Maps
Translations
    Groups
    Languages
      Supported languagesgetLanguage id by language codegetLanguage code by language idget
Schemas
Core Weather
Core Weather

Languages


Supported languages

GET
https://dataservice.accuweather.com
/translations/v1/languages

Returns a list of all available languages.

Supported languages › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json

Supported languages › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Supported languages › Responses

OK

​API.Translations.Entities.OpenAPI.Language[]
API.Translations.Entities.OpenAPI.Language
ID
​integer · int32 · required

Unique ID for the language

Name
​string · minLength: 1 · required

The internal name of the language

DisplayName
​string · minLength: 1 · required

Display Name (English) of the language

LocalizedName
​string · minLength: 1 · required

The translated name of the language

ISO
​string · minLength: 1 · required

The culture code for the language

LanguageType
​integer · int32 · required

The unique ID for the language type

MicroSoftName
​string · minLength: 1 · required

The Microsoft display name of the language

MicroSoftCode
​string · minLength: 1 · required

The Microsoft culture code for the language

TimeStamp
​string · date-time · required
GET/translations/v1/languages
curl https://dataservice.accuweather.com/translations/v1/languages \ --header 'Authorization: <api-key>'
Example Responses
[ { "ID": 0, "Name": "Name", "DisplayName": "DisplayName", "LocalizedName": "LocalizedName", "ISO": "ISO", "LanguageType": 0, "MicroSoftName": "MicroSoftName", "MicroSoftCode": "MicroSoftCode", "TimeStamp": "2024-08-25T15:00:00Z" } ]
json
application/json

Language id by language code

GET
https://dataservice.accuweather.com
/translations/v1/languages/code/{languageCode}

Specify a language code (such as en-us) to return the language Id number.

Language id by language code › path Parameters

languageCode
​string

A string that indicates the language in which to return the response. More information can be found here.

Example: en-us

Language id by language code › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json

Language id by language code › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Language id by language code › Responses

OK

integer · int32
GET/translations/v1/languages/code/{languageCode}
curl https://dataservice.accuweather.com/translations/v1/languages/code/:languageCode \ --header 'Authorization: <api-key>'
Example Responses
0
json
application/json

Language code by language id

GET
https://dataservice.accuweather.com
/translations/v1/languages/id/{languageID}

Specify a language Id number to return the language code.

Language code by language id › path Parameters

languageID
​integer · int32 · required

A unique ID that designates a specific language.

Example: 1

Language code by language id › query Parameters

format
​string

A string value that specifies what type of format to provide the response.

Default: json

Language code by language id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Language code by language id › Responses

OK

string
GET/translations/v1/languages/id/{languageID}
curl https://dataservice.accuweather.com/translations/v1/languages/id/:languageID \ --header 'Authorization: <api-key>'
Example Responses
string
json
application/json

Groups